Page 3 of 7 FirstFirst 12345 ... LastLast
Results 21 to 30 of 62

Thread: PI24: Replace dump1090 v1.14 -> pre-build package of dump1090 v1.15

  1. #21
    Passenger
    Join Date
    Nov 2018
    Posts
    20
    In this case i'm planning to do a fresh install.
    So this is the procedure:

    sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/dump1090/master/install_dump1090_mut_1.15.sh)"
    and then

    sudo bash -c "$(wget -O - http://repo.feed.flightradar24.com/install_fr24_rpi.sh)"
    After this, it all should start automatically every time there is a reboot, right?

  2. #22
    Captain
    Join Date
    Apr 2018
    Posts
    850
    This script requires fr24feed to be installed before being used.

    It will error out if fr24feed isn't already installed.

  3. #23
    Passenger
    Join Date
    Nov 2018
    Posts
    20
    Quote Originally Posted by wiedehopf View Post
    This script requires fr24feed to be installed before being used.

    It will error out if fr24feed isn't already installed.
    Yes, i was talking now about a fresh install with new procedure.

  4. #24
    Captain
    Join Date
    Apr 2018
    Posts
    850
    And i told you that fr24feed needs to be installed before running the script.

    In your scenario it isn't yet installed when you run the script.

    So i'm telling you to reverse the order. (at least that's the logical conclusion)

  5. #25
    Passenger
    Join Date
    Nov 2018
    Posts
    20
    Quote Originally Posted by wiedehopf View Post
    And i told you that fr24feed needs to be installed before running the script.

    In your scenario it isn't yet installed when you run the script.

    So i'm telling you to reverse the order. (at least that's the logical conclusion)
    115.jpg

    Well...i followed the procedure. It works!
    I firstly installed the 1.15dev and then i used the fr24 script.

  6. #26
    Captain abcd567's Avatar
    Join Date
    Sep 2013
    Location
    Toronto CYYZ
    Posts
    2,835
    There are two scripts for installing ver 1.15.

    Script (1) - Replacement of ver 1.14 by ver 1.15:
    This works only after fr24 script has been run and ver 1.14 installed (Continue using fr24 setting Reciever = dvbt)
    sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/dump1090/master/PI24_replace_dump1090_v1.14_by_v1.15.sh)"

    Script (2) - Fresh install of ver 1.15:
    This is for a freshly written Raspbian image, and works properly only if it is run before the fr24 script is run (Do NOT use fr24 setting Receiver = dvbt. Use Receiver = Beast TCP, Host/port = 127.0.0.1:30005).
    sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/dump1090/master/install_dump1090_mut_1.15.sh)"
    Last edited by abcd567; 2019-08-18 at 12:10.

  7. #27
    Captain abcd567's Avatar
    Join Date
    Sep 2013
    Location
    Toronto CYYZ
    Posts
    2,835
    Quote Originally Posted by IZ8292SWL View Post
    115.jpg

    Well...i followed the procedure. It works!
    I firstly installed the 1.15dev and then i used the fr24 script.
    Done in correct sequence for a freshly written Raspbian image.

  8. #28
    Passenger
    Join Date
    Nov 2018
    Posts
    20
    Quote Originally Posted by abcd567 View Post
    Done in correct sequence for a freshly written Raspbian image.
    Thank you for your kind support.
    Works great and i'm getting way more messages with this version!

  9. #29
    Passenger
    Join Date
    Aug 2019
    Location
    London(between LHR and LGW)
    Posts
    21
    3 days ago I've updated from 1.14 to v1.15 and it was super easy, thanks to abcd567
    I'm using a simple decoder with RTL2832U + R820T2 on board and simple dipole antenna with two 6.8cm arms (thanks to abcd567 again)
    After the update, I've noticed that my range increased by around 15-20% and the average number of messages went from 150msg/sec to over 300msg/sec(over 500msg/sec in peak time).
    Not too sure if that is good about messages but my stats on fr24 and FlightAware gone up massively. Didn't change anything in dump1090 setting it is exactly the same for both 1.14 and 1.15.

  10. #30
    Captain abcd567's Avatar
    Join Date
    Sep 2013
    Location
    Toronto CYYZ
    Posts
    2,835
    matysldn:

    This improvement is because of following two reasons:
    (1) The v1.14 has an outdated decoder, while ver 1.15~dev has a better and advanced decoder.
    (2) The v1.14 is NOT designed to handle mlat-feedback from Flightaware, while v1.15~dev is designed to handle mlat-feedback from Flightaware.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •